--------------------------------------------------
-- UT+Quake Sounds Script by Unreal Software    --
-- 22.02.2009 - www.UnrealSoftware.de           --
-- Adds UT and Quake Sounds to your Server      --
--------------------------------------------------

if sample==nil then sample={} end
sample.ut={}

-----------------------
-- INITIAL SETUP     --
-----------------------
function initArray(m)
	local array = {}
	for i = 1, m do
		array[i]=0
	end
	return array
end
sample.ut.timer=initArray(32)				-- time of last kill, for each player
sample.ut.level=initArray(32)				-- current kill level (killstreak), for each player
sample.ut.fblood=0							-- first blood already shed? 0=no/1=yes


-----------------------
--   Zombie Start  ! --
-----------------------
addhook("startround","sample.ut.startround")
function sample.ut.startround()
	parse("sv_sound \"vox/zombiestart.wav\"")
	sample.ut.fblood=0
end


-----------------------
-- KILL SOUNDS+MSGS  --
-----------------------
addhook("kill","sample.ut.kill")
function sample.ut.kill(killer,victim,weapon)
	-- Was last kill more than 3 secs ago?
	if (os.clock()-sample.ut.timer[killer])>3 then
		-- Yes, more than 3 secs ago! Reset level!
		sample.ut.level[killer]=0;
	end
	-- Get level of player and increase it
	level=sample.ut.level[killer]
	level=level+1
	sample.ut.level[killer]=level
	-- Reset the timer (last kill happened now!)
	sample.ut.timer[killer]=os.clock()
	-- FIRST KILL?
	if (sample.ut.fblood==0) then
		sample.ut.fblood=1
		parse("sv_sound \"fun/firstblood.wav\"");
		msg (player(killer,"name").." sheds 1 KILL by killing "..player(victim,"name").."!")
        end
	-- HUMILILILATION? (KNIFEKILL)
	if (weapon==50,69) then
		-- HUMILILILATION!
		parse("sv_sound \"vox/humilililation.wav\""); 
		msg (player(killer,"name").." made a knifekill!")
        else
		-- REGULAR KILL
		if (level==1) then
			-- 1: Single Kill! Nothing Special!
		elseif (level==2) then
			-- 2: Doublekill
			parse("sv_sound \"vox/doublekill.wav\"");
			msg (player(killer,"name").." made a 2 KILL!")
		elseif (level==3) then
			-- 3: Triplekill
			parse("sv_sound \"vox/triplekill.wav\"")
			msg (player(killer,"name").." made a 3 KILL!")
		elseif (level==4) then
			-- 4: Multikill
			parse("sv_sound \"vox/multikill.wav\"")
			msg (player(killer,"name").." made an 4 KILL!")
		elseif (level==5) then
			-- 5: Monsterkill
			parse("sv_sound \"vox/cantbelive.wav\"")
			msg (player(killer,"name").." made a 5 KILL!")
		elseif (level==5) then
			-- 5: Outofworld
			parse("sv_sound \"vox/outofworld.wav\"")
			msg (player(killer,"name").." made a 6 KILL!")
		else
			-- >5: Unstoppable
			parse("sv_sound \"vox/crazy.wav\"")
			msg (player(killer,"name").." is 7 KILL! "..level.." KILLS!")
		end
	end
end